#!/bin/sh

qemu-system-x86_64 -enable-kvm \
	-m 4096 \
	-smp 4 \
	-kernel arch/x86/boot/bzImage \
	-append "root=/dev/vda1 console=ttyS0,115200n8 cgroup_no_v1=all" \
	-nographic \
	-drive if=virtio,file=/home/hch/images/jessie.img,cache=none \
	-drive if=virtio,id=test,file=/home/hch/images/test.img,cache=none,aio=native \
	-drive if=virtio,id=scratch,file=/home/hch/images/scratch.img,cache=none,aio=native \
	-device vfio-pci,sysfsdev=/sys/bus/mdev/devices/6814f392-50ac-4236-ae3d-26d472fd8aae

# this actually shows output:
# -device vfio-pci,sysfsdev=/sys/bus/mdev/devices/6814f392-50ac-4236-ae3d-26d472fd8aae,display=on,x-igd-opregion=on \
#	-display gtk,gl=on -vga none \
